@import url("colors.css");

/* -- START STRUCTURE -- */
html {
    height: 100%;
    margin: 0 !important;
}

body {
    font-family: 'Roboto', Helvetica, Arial, sans-serif;
    color: #333;
    font-size: 15px;
    line-height: 20px;
    background-color: #fff;
}

.container {
    max-width: 1260px;
    padding-left: 40px;
    padding-right: 40px;
}
.dropPadding {
    padding: 0;
}

.box, .boxGray, .boxBlue, .boxLightBlue, .boxYellow, .boxRed, .boxGreen {
    font: 18px/24px 'Roboto', Helvetica, Arial, sans-serif;
    color: #333;
    padding: 80px 20px;
}

.boxRed, .boxGreen {
    padding: 20px;
    margin: 20px 0;
    width: auto;
}

.boxGray {
    background-color: #f2f2f2;
}

.boxBlue {
    background-color: #bedeeb;
}

.boxLightBlue {
    background-color: #bedeeb;
    padding: 40px 20px;
}

.boxYellow {
    background-color: #fec232;
}

.boxRed {
    background-color: #fff5f5;
}

.boxGreen {
    background-color: #f5fff5;
}

.split1 {
    display: grid;
    grid-template-columns: 1fr;
}

.split2 {
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.split3 {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.split4 {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
}

img {
    image-rendering: optimizequality;
}


.center {
    margin: auto;
    text-align: center;
}

h1.center {
    font-size: inherit;
}

.centerContent {
    display: flex;
    align-items: center;
}

a {
    text-decoration: none;
    color: #000;
}

a:hover {
    color: #fec232;
}

#search-widget_IO312PWQ.guesty-root-element .guesty-search-submit-btn,
button.button,
a.button {
    font-family: 'RobotoBold', Helvetica, Arial, sans-serif;
    padding: 12px 40px;
    display: inline-block;
    text-transform: uppercase;
    font-size: 18px;
    line-height: 18px;
    height: 40px;
    border: 0;
}

.showOnPhone{
    display: none;
}

.showOnMobile{
    display: none;
}

.formContainer {
    grid-column-gap: 20px;
    grid-row-gap: 20px
}

form .hidden {
    display: none;
}

form.open .hidden {
    display: inherit;
}

input, textarea, select {
    padding: 10px 15px;
    border: none;
}

select {
    padding: 10px 15px;
}

input, input::placeholder, textarea, textarea::placeholder, select, select option {
    font: 16px/20px 'Roboto', Helvetica, Arial, sans-serif;
    color: #333;
}

input.is-invalid, textarea.is-invalid, select.is-invalid {
    border: 1px dotted red;
    background-color: #fff5f5;
}
label.is-invalid, label.is-invalid a {
    color: red;
}

@media (max-width: 975px) {
    .showOnMobile {
        display: block;
    }

    .hideOnMobile {
        display: none;
    }
    body.locatiesPage .container.split3 {
        grid-template-columns: 1fr 1fr;
    }
}
@media (max-width: 767px) {
    .container {
        max-width: 100%;
        padding-left: 20px;
        padding-right: 20px;
    }
    .dropPadding {
        padding-left: 0;
        padding-right: 0;
    }
    .showOnPhone {
        display: block;
    }

    .hideOnPhone {
        display: none;
    }
    body.locatiesPage .container.split3,
    .split2, .split3, .split4 {
        grid-template-columns: 1fr;
    }

    .box, .boxGray, .boxBlue, .boxYellow {
        padding: 40px 20px;
    }

}
/* -- END   STRUCTURE -- */

/* -- START text -- */
.blue-12, .blue-14, .blue-light-14, .blue-16, .blue-18, .blue-48, .blue-36 {
    font-family: 'RobotoBold', Helvetica, Arial, sans-serif;
    color: #25aae1;
}
li.active .blue-14,
li.active > .blue-light-14,
li.active .blue-16 {
    color: #fec232;
}
.blue-14 {
    font-size: 15px;
}
.blue-light-14 {
    font-family: 'Roboto', Helvetica, Arial, sans-serif;
}
.blue-16 {
    font-size: 16px;
}
.blue-18 {
    font-size: 18px;
    line-height: 24px;
}
.blue-48, .blue-36  {
    font-family: 'impact', Helvetica, Arial, sans-serif;
    font-size: 48px;
    line-height: 54px;
    text-transform: uppercase;
}
.yellow-60, .yellow-48, .yellow-36, .yellow-16, .yellow-18 {
    font-family: 'impact', Helvetica, Arial, sans-serif;
    font-size: 48px;
    line-height: 54px;
    color: #fec232;
    text-transform: uppercase;
}
.yellow-18 {
    font-size: 18px;
}
.blue-36, .yellow-36{
    font-size: 36px;
    line-height: 40px;
}
.yellow-60 {
    font-size: 60px;
    line-height: 72px;
}
@media (max-width: 767px) {
    .yellow-48, .yellow-36 {
        font-size: 36px;
        line-height: 40px;
    }
}

/* -- END text -- */


/* -- START HEADER -- */
#header {
    margin: 40px 0 40px 0;
}
@media (max-width: 767px) {
    #header {
        margin: 20px 0 40px 0;
    }
}

.logo {
    width: 220px;
    margin: auto;
}

div.logo {
    margin-bottom: 40px;
}

@media (max-width: 767px) {
    .logo {
        width: 140px;
    }
    body:not(.hideContent) div.logo {
        margin-bottom: 0;
    }
}
/* -- END HEADER -- */

/* -- START nav-toggle -- */
.headerNav {
    display: grid;
    grid-template-columns: 200px 1fr 150px;
}
@media (max-width: 1150px) {
    .headerNav {
        grid-template-columns: 1fr 130px;
    }
    #main-nav .navbar-collapse.center {
        text-align: left;
        margin: 0;
    }
    .showOnMobile {
        display: block;
    }

    .hideOnMobile {
        display: none;
    }

}

@media (max-width: 900px) {
    .headerNav {
        grid-template-columns: 1fr;
    }
}
.navbar-toggle {
    display: block;
    clear: both;
    margin: 20px auto;
    float: none;
}

.navbar-nav {
    flex-direction: row;
}

.navbar-nav .submenu {
    display: none;
}

.navbar-nav .submenu.show {
    display: block;
}

div#main-nav {
    padding: 0;
}

#main-nav .navbar-collapse.main-menu.show {
    padding: 0;
    margin: 0 -20px 40px;
}

#main-nav .navbar-collapse.language-menu.show {
    padding: 0;
    margin: 0;
}

#main-nav .navbar-toggle {
    margin-top: 50px;
    border-radius: 0;
    background-color: #fff;
    border: 0;
    padding: 6px 9px;
}

#main-nav .navbar-toggle .icon-bar {
    transition: transform 0.25s linear;
    background-color: #25aae1 !important;
    height: 2px;
    width: 20px;
    display: block;
}

.navbar-toggle .icon-bar + .icon-bar {
    margin-top: 5px;
}

#main-nav .navbar-toggle.open .icon-bar:nth-child(1) {
    transform: rotate(-45deg);
    transform-origin: center;
    top: 11px;
    position: absolute;
    left: 9px;
}
#main-nav .navbar-toggle.open .icon-bar:nth-child(2) {
    transform: rotate(45deg);
    transform-origin: center;
    left: 12px;
}
#main-nav .navbar-toggle.open .icon-bar:nth-child(3) {
    transform: rotate(90deg);
    transform-origin: center;
    transition: height 150ms;
    height: 0;
}

#main-nav .navbar-collapse {
    padding: 0;
    border: none;
    background: #fff;
}

body.section #main-nav li:after,
.navbar li:after {
    content: '|';
    padding: 0 7px 0 3px;
    color: #25aae1;
    font-family: 'Roboto', Helvetica, Arial, sans-serif;
    font-size: 16px;
}
body.section #main-nav li:last-child:after,
body.section #menu-language-menu li:nth-child(3):after,
.navbar li:last-child:after,
#menu-language-menu li:nth-child(3):after {
    content: '';
    padding: 0;
}

#menu-language-menu li:nth-child(3):after,
body.section #menu-language-menu li:nth-child(3):after,
.navbar li:nth-child(3):after {
    padding-right: 12px;
}

body:not(.section) ul#menu-main-menu > li > a {
    text-transform: uppercase;
}

.navbar>.container {
    display: block;
}

@media (max-width: 900px) {
    #main-nav .container {
        max-width: 100%;
        padding-left: 20px;
        padding-right: 20px;
    }
    #main-nav .navbar-toggle {
        right: 10px;
        position: absolute;
        margin: 0;
        top: 107px;
    }

    #main-nav .navbar-collapse {
        padding-left: 15px;
        padding-right: 15px;
        position: relative;
        margin: 10px;
    }

    ul#menu-main-menu {
        flex-direction: column;
    }

    ul#menu-main-menu li:after {
        content: '';
        display: none;
    }

    ul#menu-language-menu {
        float: right;
    }

    li.profile-icon img {
        margin-left: calc(40px - 100vw);
    }

    .navbar li:nth-child(3):after {
        content: '';
        padding: 0;
    }

    ul#menu-main-menu ul {
        padding: 0;
    }

    ul#menu-main-menu li ul li {
        padding-left: 20px;
    }

    ul#menu-main-menu li {
        width: 100%;
        min-height: 40px;
        line-height: 40px;
        border-bottom: 1px solid #25aae1;
        margin: 0;
        padding: 0;
        list-style: none;
    }
    ul#menu-main-menu li a {
        margin-left: 20px;
    }

    ul#menu-main-menu li:first-child {
        border-top: 1px solid #25aae1;
    }

    ul#menu-main-menu ul li:last-child {
        border: none;
    }
}
@media (min-width: 901px) {
    #main-nav .navbar-toggle {
        display: none;
        position: absolute;
        top: 4px;
        right: 40px;
        margin: 0;
    }
    .navbar-collapse.collapse {
        display: block !important;
        visibility: visible !important;
        height: auto !important;
        padding-bottom: 0;
        overflow: visible !important;
    }
}
@media (max-width: 767px) {
    #main-nav .navbar-toggle {
        right: 10px;
        position: absolute;
        margin: 0;
        top: 75px;
    }
}

body.hideContent .contentContainer,
body.hideContent footer {
    display: none !important;
}

/*body.section:not(.hideContent) li.section > a, body.section:not(.hideContent) li.section:after {*/
body.section:not(.hideContent):not(.locatiesPage) li.section > a,
body.section:not(.hideContent) li.section:not(.active) > a,
body.section:not(.hideContent) li.section:after
{
    display: none;
}
body.section:not(.hideContent) li.section.active ul {
    display: block;
    list-style: none;
    margin-left: -32px;
}
body.section:not(.hideContent) li.section.active ul li {
    float: left;
}
body.section:not(.hideContent) li.section.active ul li a {
    font-size: 16px;
    font-family: RobotoBold, Helvetica, Arial, sans-serif;
}

body.section.hideContent li.section:not(.active) {
    display: none;
}
/* -- END nav-toggle -- */

/* -- START footer -- */
footer {
    margin-top: 100px;
}
.footerContainer {
    margin-top: 68px;
    background-color: #25aae1;
    color: #fff;
    padding: 40px 40px 80px;
    /*display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-column-gap: 5px;*/
    grid-row-gap: 30px;
}
.footerContainer a {
    color: #fff;
}

@media (max-width: 767px) {
    .footerContainer {
        grid-template-columns: 1fr;
        grid-row-gap: 40px;
        text-align: center;
    }
}
/* -- END footer -- */


/* -- START Home -- */
.homeTopButtons {
    min-height: 180px;
    text-align: center;
    padding: 20px;
    display: grid;
    grid-template-rows: 1fr 40px;
}
.homeTopButtons h2, .slogan{
    color: #fff;
    font-family: Impact, Helvetica, Arial, sans-serif;
    font-size: 36px;
    text-transform: uppercase;
}
.homeTopButtons .byline {
    color: #fff;
    font-size: 16px;
}
.homeImageSlider {
    background-size: cover;
    width: 100%;
    /*
    height: 480px;
    display: grid;
    grid-template-columns: 40% 1fr;
    margin: auto;
    padding: 30px;
    */
    padding-top: 35.56%;
}
.slogan {
    position: absolute;
    margin-right: 30px;
    font-size: 60px;
    line-height: 72px;
    text-align: right;
    text-shadow: 5px 5px 10px #333;
}
.vent {
    margin-top: 16px;
}
.vent img {
    max-width: 448px;
}

.homePage .boxGray {
    padding-top: 60px;
    padding-bottom: 60px;
    margin-bottom: 80px;
}

.homePage .boxBlue {
    margin-top: 40px;
    margin-bottom: 80px;
    padding: 25px;
    font-size: 15px;
    text-align: center;
}

.reviewer {
    font: 16px/20px RobotoBold, Helvetica, Arial, sans-serif;
}

.identity {
    color: #25aae1;
}

@media (max-width: 975px) {
    .slogan {
        font-size: 40px;
        line-height: 48px;
    }
    .vent {
        margin-top: 30%;
    }
}
@media (max-width: 767px) {
    .homeTopButtons {
        min-height: 120px;
        height: auto;
    }

    .homeImageSlider {
        background-size: cover;
        width: 100%;
        padding-top: 35.56%;
        display: block;
        height: auto;
    }

    .homeTopButtons h2 {
        font-size: 24px;
        margin-bottom: 18px;
    }

    .vent {
        margin-top: 0;
        position: relative;
    }

    .vent img {
        max-width: 40%;
        position: absolute;
        bottom: -15px;
    }

    .homePage .boxGray {
        margin-bottom: 0;
    }

    .homePage .boxBlue {
        margin-bottom: 60px;
    }

    .homePage .reviews {
        margin-top: 40px;
    }
}

/* -- END Home -- */


/* -- START over-ons -- */
.team {
    grid-column-gap: 50px;
    grid-row-gap: 50px;
}
.team .teamMember {
    background-color: #c8eaf7;
    position: relative;
}
.team h3 {
    margin-bottom: 0;
    font: 18px/20px RobotoBold, Helvetica, Arial, sans-serif;
}
.imageContainer {
    position: relative;
}
.container.split3.team > div .imageContainer:after {
    content: ' ';
    width: 100%;
    height: 0;
    transition: height 250ms;
    background-color: #c8eaf7;
    z-index: 5;
    position: absolute;
    bottom: 0;
    left: 0;
}
.container.split3.team > div:hover .imageContainer:after {
    height: 15%;
}
/* -- END over-ons -- */
